Package uk.ac.starlink.vo

# Class ResourceField

java.lang.Object
uk.ac.starlink.vo.ResourceField

public class ResourceField extends Object
Describes an element of the VOResource data model for use by resource query interfaces.

At present the private constructor means that only the static members of this class are available for use. Others could be constructed, but only those defined here are handled by `RegTapRegistryQuery.getAdqlCondition(uk.ac.starlink.vo.ResourceField, java.lang.String, boolean)`.

See Also:
  - IVOA VOResource Recommendation

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ResourceField`
`DESCRIPTION`
Description field.
`static final ResourceField`
`ID`
IVO ID field.
`static final ResourceField`
`PUBLISHER`
Publisher field.
`static final ResourceField`
`SHORTNAME`
ShortName field.
`static final ResourceField`
`SUBJECTS`
Subjects field.
`static final ResourceField`
`TITLE`
Title field.

## Method Summary

Modifier and Type
Method
Description
`String`
`getLabel()`
Returns a user-directed short text label for this field.
`String`
`getRelationalName()`
Returns the column name of this field in the Registry Relational Schema.
`String`
`getRelationalTable()`
Returns the fully qualified name of a table containing this column in the Registry Relational Schema.
`String`
`getXpath()`
Returns the XPath into the VOResource data model for this field.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SHORTNAME

public static final ResourceField SHORTNAME
ShortName field.

### TITLE

public static final ResourceField TITLE
Title field.

### SUBJECTS

public static final ResourceField SUBJECTS
Subjects field.

### ID

public static final ResourceField ID
IVO ID field.

### PUBLISHER

public static final ResourceField PUBLISHER
Publisher field.

### DESCRIPTION

public static final ResourceField DESCRIPTION
Description field.

## Method Details

### getLabel

public String getLabel()
Returns a user-directed short text label for this field.

Returns:
  short label

### getXpath

public String getXpath()
Returns the XPath into the VOResource data model for this field.

Returns:
  xpath

### getRelationalName

public String getRelationalName()
Returns the column name of this field in the Registry Relational Schema.

Returns:
  relational registry name

### getRelationalTable

public String getRelationalTable()
Returns the fully qualified name of a table containing this column in the Registry Relational Schema.

Returns:
  relational registry table name